# Class MsaUiSortComponent

#### Hierarchy

- Component<MsaUiSortInterface>
  - MsaUiSortComponent

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaUiSortComponent.tsx:14

#####
Index

### Constructors

constructor

### Methods

click
render

## Constructors

### constructor

- new MsaUiSortComponent(props): MsaUiSortComponent

- #### Parameters

  - ##### props: MsaUiSortInterface | Readonly<MsaUiSortInterface>

  #### Returns MsaUiSortComponent

  Inherited from React.Component<MsaUiSortInterface>.constructor

  - Defined in node_modules/@types/react/index.d.ts:519
- new MsaUiSortComponent(props, context): MsaUiSortComponent

- #### Parameters

  - ##### props: MsaUiSortInterface

  - ##### context: any

  #### Returns MsaUiSortComponent

  #### Deprecated

  #### See

  https://legacy.reactjs.org/docs/legacy-context.html

  Inherited from React.Component<MsaUiSortInterface>.constructor

  - Defined in node_modules/@types/react/index.d.ts:524

## Methods

### `Private` click

- click(): Promise<void>

- #### Returns Promise<void>

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaUiSortComponent.tsx:20

### render

- render(): Element

- #### Returns Element

  Overrides React.Component.render

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaUiSortComponent.tsx:16

Generated using TypeDoc